summaryrefslogtreecommitdiff
path: root/doc
diff options
context:
space:
mode:
authorAzamat Hackimov <azamat.hackimov@gmail.com>2011-01-26 11:57:25 +0300
committerTransifex robot <noreply@gentoo.ru>2011-01-26 11:57:25 +0300
commitd012b7466f896a4361732157a61da070c81a562a (patch)
tree4b6277312434a74d643047d1f25baea1f1dd2d0d /doc
parentl10n: Updated Russian (ru) translation to 40% (diff)
downloadgentoo-doc-translations-d012b7466f896a4361732157a61da070c81a562a.tar.gz
gentoo-doc-translations-d012b7466f896a4361732157a61da070c81a562a.tar.bz2
gentoo-doc-translations-d012b7466f896a4361732157a61da070c81a562a.zip
l10n: Updated Russian (ru) translation to 64%
New status: 57 messages complete with 1 fuzzy and 30 untranslated. Transmitted-via: Transifex (transifex.gentoo.ru).
Diffstat (limited to 'doc')
-rw-r--r--doc/gettext/ru/gcc-upgrading.xml.po52
1 files changed, 32 insertions, 20 deletions
diff --git a/doc/gettext/ru/gcc-upgrading.xml.po b/doc/gettext/ru/gcc-upgrading.xml.po
index df57acb..7aeec3f 100644
--- a/doc/gettext/ru/gcc-upgrading.xml.po
+++ b/doc/gettext/ru/gcc-upgrading.xml.po
@@ -3,7 +3,7 @@ msgid ""
msgstr ""
"Project-Id-Version: \n"
"POT-Creation-Date: 2010-10-21 23:56+0600\n"
-"PO-Revision-Date: 2011-01-25 19:18+0500\n"
+"PO-Revision-Date: 2011-01-26 13:57+0500\n"
"Last-Translator: Azamat H. Hackimov <azamat.hackimov@gmail.com>\n"
"Language-Team: Russian <kde-russian@lists.kde.ru>\n"
"Language: ru\n"
@@ -182,11 +182,11 @@ msgstr ""
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(p):139
msgid "It is safe to remove the older GCC version at this time. If you feel the need, please issue the following command (as usual, substitute <c>=sys-devel/gcc-3.4*</c> with the version you want to uninstall):"
-msgstr ""
+msgstr "Теперь можно без опасений удалить старую версию GCC. Если вы чувствуете такую необходимость, введите следующую команду (как обычно, вместо <c>=sys-devel/gcc-3.4*</c> укажите версию, которую собираетесь удалить):"
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(pre:caption):145
msgid "Removing older GCC version"
-msgstr ""
+msgstr "Удаление более старой версии GCC"
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(pre):145
#, no-wrap
@@ -199,53 +199,53 @@ msgstr ""
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(impo):149
msgid "Please note that the GCC 4.1 and newer can compile only kernels newer than 2.4.34. Don't remove your old GCC version if you want to use an older kernel."
-msgstr ""
+msgstr "Помните, что GCC 4.1 и выше не может собирать ядра ниже 2.4.34. Если вы собираетесь использовать старое ядро, то не удаляйте старую версию GCC."
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(impo):154
msgid "In case you're upgrading from GCC-3.3, you should run <c>emerge --oneshot sys-libs/libstdc++-v3</c> to provide compatibility with older binary C++ applications."
-msgstr ""
+msgstr "При обновлении с GCC-3.3 вам необходимо выполнить <c>emerge --oneshot sys-libs/libstdc++-v3</c>, чтобы установить режим совместимости для старых двоичных приложений, написанных на C++."
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(title):165
msgid "Upgrading from GCC-3.3 to 3.4"
-msgstr ""
+msgstr "Переход с GCC-3.3 на 3.4"
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(p):170
msgid "The upgrade from GCC-3.3 to 3.4 is not seamless as the C++ ABI changed between these two versions. There is an issue with the <c>libstdc++</c> library which must be taken care of, as well."
-msgstr ""
+msgstr "Переход с GCC-3.3 на 3.4 или более новую версию не так гладок, так как между этими версиями изменился двоичный прикладной интерфейс C++ (ABI). Также придется позаботиться о существующей проблеме с библиотекой <c>libstdc++</c>."
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(title):179
msgid "The Choices"
-msgstr ""
+msgstr "Варианты"
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(impo):182
msgid "If you upgrade from gcc 3.4 to 4.1, please consult the <uri link=\"#upgrade-general\">General Update instructions</uri>."
-msgstr ""
+msgstr "Если обновляете gcc с 3.4 до 4.1, ознакомьтесь с <uri link=\"#upgrade-general\">общими инструкциями по обновлению</uri>."
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(impo):187
msgid "If you're upgrading on a SPARC machine, you will have to take the way of <uri link=\"#upgrade-3.3-to-3.4-emerge-e\">complete system rebuild</uri> due to some internal <uri link=\"http://gcc.gnu.org/gcc-3.4/sparc-abi.html\">ABI changes</uri> in GCC's parameter passing."
-msgstr ""
+msgstr "Если вы обновляете GCC на машине SPARC, вам придется выбрать путь <uri link=\"#upgrade-3.3-to-3.4-emerge-e\">полной пересборки системы</uri> из-за некоторых внутренних <uri link=\"http://gcc.gnu.org/gcc-3.4/sparc-abi.html\">изменений ABI</uri> GCC в области передачи параметров функций."
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(p):194
msgid "If you upgrade from gcc 3.3 to 3.4, you have two possibilities on how to upgrade your system. The <uri link=\"#upgrade-3.3-to-3.4-revdep-rebuild\">first method</uri> is faster and requires use of the <c>revdep-rebuild</c> tool from package <c>gentoolkit</c> while the <uri link=\"#upgrade-3.3-to-3.4-emerge-e\">second one</uri> rebuilds the entire system from scratch so it will make use of new GCC features. It's up to you to decide which of these two ways you will choose. In most cases, the first method is sufficient."
-msgstr ""
+msgstr "Если вы обновляете gcc 3.4 до 3.4, у вас есть два варианта обновления системы. <uri link=\"#upgrade-3.3-to-3.4-revdep-rebuild\">Первый способ</uri> быстрее и требует использования программы <c>revdep-rebuild</c> из пакета <c>gentoolkit</c>, а <uri link=\"#upgrade-3.3-to-3.4-emerge-e\">во втором</uri> вся система пересобирается с нуля, чтобы задействовать новые возможности GCC. Ваше дело, какой из способов выбрать. В большинстве случаев первого способавполне достаточно."
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(p):205
msgid "If you upgrade from gcc 3.3 to 4.1, do not use the method based on revdep-rebuild, but do a <uri link=\"#upgrade-3.3-to-3.4-emerge-e\">complete system rebuild</uri>."
-msgstr ""
+msgstr "Если вы обновляете gcc с 3.3 до 4.1, не используйте способ, основанный на revdep-rebuild, необходимо <uri link=\"#upgrade-3.3-to-3.4-emerge-e\">пересобрать систему целиком</uri>."
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(title):214
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(pre:caption):242
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(title):390
msgid "Using revdep-rebuild"
-msgstr ""
+msgstr "Использование revdep-rebuild"
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(p):217
msgid "This method requires that you first install <c>gentoolkit</c> if you have not already done so. Then we will upgrade GCC and switch to the new compiler. We will also rebuild the <c>libtool</c> package to ensure that toolchain is in healthy state."
-msgstr ""
+msgstr "Для этого способа необходимо сначала установить <c>gentoolkit</c>, если вы еще этого не сделали. Затем обновите GCC и переключите систему на новый компилятор. Также пересоберите пакет <c>libtool</c>, чтобы обеспечить пригодность программ для компиляции."
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(pre:caption):224
msgid "Installing gentoolkit and upgrading GCC"
-msgstr ""
+msgstr "Установка gentoolkit и обновление GCC"
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(pre):224
#, no-wrap
@@ -261,10 +261,20 @@ msgid ""
"<comment>(Rebuilding libtool)</comment>\n"
"# <i>emerge --oneshot -av libtool</i>\n"
msgstr ""
+"\n"
+"# <i>emerge -an gentoolkit</i>\n"
+"# <i>emerge -uav gcc</i>\n"
+"<comment>(Вместо \"i686-pc-linux-gnu-3.4.5\" укажите обновленную\n"
+"версию GCC и настройки CHOST:)</comment>\n"
+"# <i>gcc-config i686-pc-linux-gnu-3.4.5</i>\n"
+"# <i>source /etc/profile</i>\n"
+"\n"
+"<comment>(Пересборка libtool)</comment>\n"
+"# <i>emerge --oneshot -av libtool</i>\n"
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(p):236
msgid "Now, we want to see which packages that revdep-rebuild will want to rebuild. Then we will tell revdep-rebuild to actually rebuild the packages. This may take some time, so have some patience."
-msgstr ""
+msgstr "Теперь посмотрите, какие пакеты собирается пересобирать revdep-rebuild, затем запустите revdep-rebuild на собственно пересборку. Это займет некоторое время, так что потерпите."
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(pre):242
#, no-wrap
@@ -280,15 +290,15 @@ msgstr ""
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(note):247
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(note):405
msgid "It is possible that you might have problems with non-existing package versions due to them being outdated or masked. If this is the case, you will want to use the <c>--package-names</c> option to <c>revdep-rebuild</c>. This causes packages to be recompiled based on the package name, rather than the exact name and version."
-msgstr ""
+msgstr "Возможно, у вас появятся проблемы с несуществующими версиями пакетов из-за того, что они устарели или замаскированы. В этом случае можно при запуске <c>revdep-rebuild</c> указать параметр <c>--package-names</c>. Этом случае пакеты будут пересобираться на основе на имен, вместо точного имени и версии."
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(p):255
msgid "To provide compatibility with older binary C++ applications and any packages that revdep-rebuild might have missed, <c>sys-libs/libstdc++-v3</c> needs to be merged before you unmerge GCC 3.3 from your system."
-msgstr ""
+msgstr "Для обеспечения совместимости с более старыми двоичными приложениями C++ и любыми пакетами, которые revdep-rebuild мог пропустить, надо установить пакет<c>sys-libs/libstdc++-v3</c> до того, как удалять GCC 3.3 из своей системы."
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(pre:caption):261
msgid "Installing libstdc++-v3 and cleaning up"
-msgstr ""
+msgstr "Установка libstdc++-v3 и удаление GCC"
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(pre):261
#, no-wrap
@@ -304,7 +314,7 @@ msgstr ""
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(title):269
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(title):416
msgid "Using emerge -e"
-msgstr ""
+msgstr "Использование emerge -e"
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(p):272
msgid "This method, while much slower, will rebuild your whole system to ensure that everything has been rebuilt with your new compiler, and therefore safer. At first, you will upgrade GCC and libtool and switch to your new compiler."
@@ -528,4 +538,6 @@ msgstr ""
#: ../../gentoo/xml/htdocs/doc/en//gcc-upgrading.xml(None):0
msgid "translator-credits"
msgstr ""
+"Юрий Астахов; astakhov@warum.ru; переводчик\n"
+"Азамат Хакимов; azamat.hackimov@gmail.com; редактор перевода"